package com.diagbot.facade;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.dto.BillDTO;
import com.diagbot.dto.BillNeoDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.facade.rule.BillRuleFacade;
import com.diagbot.vo.BillNeoVO;
import com.diagbot.vo.IndicationPushVO;
import com.diagbot.vo.StandConvert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 开单合理性facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class BillFacade {

    @Autowired
    NeoFacade neoFacade;
    @Autowired
    BillRuleFacade billRuleFacade;
    @Autowired
    CommonFacade commonFacade;

    /**
     * 开单合理性业务
     * @param
     * @return
     */
    public BillDTO billFac(IndicationPushVO indicationPushVO) {
        // 模型处理数据
        WordCrfDTO wordCrfDTO = commonFacade.crf_process(indicationPushVO);
        StandConvert standConvert = commonFacade.dataTypeGet(wordCrfDTO);

        // 标准词转换 TODO
        Map<String, Map<String, String>> typeStand = neoFacade.standConvert(standConvert);
        wordCrfDTO = commonFacade.dataTypeSet(wordCrfDTO, typeStand);

        // 开单合理性图谱接口调用
        BillNeoVO billNeoVO = fillBillNeo(indicationPushVO);
        BillNeoDTO billNeoDTO = neoFacade.getBillNeo(billNeoVO);

        // neoFacade.getDrugCache();

        // 规则开发 TODO
        return billRuleFacade.process(billNeoDTO, wordCrfDTO);
    }


    public BillNeoVO fillBillNeo(IndicationPushVO indicationPushVO) {
        BillNeoVO billNeoVO = new BillNeoVO();

        List<Item> items = indicationPushVO.getDrug();
        for (Item item : items) {
            billNeoVO.getDrugList().add(item.getName());
        }

        return billNeoVO;
    }
}
