package com.diagbot.repository;

import com.diagbot.dto.DrugBillNeoDTO;
import com.diagbot.entity.node.*;

import java.util.Set;

public class MedicineNode {

    private String age_ch = "岁";

    public DrugBillNeoDTO MedicinetoDrugDTO(Medicine medicine) {
        DrugBillNeoDTO drugBillNeoDTO = new DrugBillNeoDTO();


        AgeMin ageMin = medicine.getAgeMin();
        String ageMin_val = (ageMin==null)?"":ageMin.getName();
        ageMin_val = ageMin_val.replace(age_ch, "").trim();
        drugBillNeoDTO.setMinage(Integer.parseInt(ageMin_val));


        AgeMax ageMax = medicine.getAgemax();
        String ageMax_val = (ageMax==null)?"":ageMax.getName();
        ageMax_val = ageMax_val.replace(age_ch, "").trim();
        drugBillNeoDTO.setMaxage(Integer.parseInt(ageMax_val));


        Gender gender = medicine.getGender();
        String gender_val = (gender==null)?"":gender.getName();
        drugBillNeoDTO.setGender(gender_val);


        Set<ClinicalFinding> clinicalfindings = medicine.getClinicalfindings();
        for (ClinicalFinding clinicalFinding : clinicalfindings) {
            String clinicalfinding_val = (clinicalFinding == null) ? "" : clinicalFinding.getName();
            drugBillNeoDTO.getClinicfindings().add(clinicalfinding_val);
        }


        Set<LIS> lisset = medicine.getLisset();
        for (LIS lis : lisset) {
            String lis_val = (lis == null) ? "" : lis.getName();
            drugBillNeoDTO.getLis().add(lis_val);
        }


        Set<PACS> pacsset = medicine.getPacsset();
        for (PACS pacs : pacsset) {
            String pacs_val = (pacs == null) ? "" : pacs.getName();
            drugBillNeoDTO.getPACS().add(pacs_val);
        }


        Set<AllergicMed> allergicmeds = medicine.getAllergicmeds();
        for (AllergicMed allergicmed: allergicmeds) {
            String allergicmed_val = (allergicmed == null) ? "" : allergicmed.getName();
            drugBillNeoDTO.getAllergicmeds().add(allergicmed_val);
        }


        Set<Operation> operations = medicine.getOperations();
        for (Operation operation : operations) {
            String operation_val = (operation == null) ? "" : operation.getName();
            drugBillNeoDTO.getOperations().add(operation_val);
        }


        Set<Procedure> procedures = medicine.getProcedures();
        for (Procedure procedure : procedures) {
            String procedure_val = (procedure == null) ? "" : procedure.getName();
            drugBillNeoDTO.getProcedures().add(procedure_val);
        }


        Set<Disease> diseases = medicine.getDiseases();
        for (Disease disease : diseases) {
            String disease_val = (disease == null) ? "" : disease.getName();
            drugBillNeoDTO.getDisease().add(disease_val);
        }


        Set<Group> groups = medicine.getGroups();
        for (Group group : groups) {
            String group_val = (group == null) ? "" : group.getName();
            drugBillNeoDTO.getGroup().add(group_val);
        }


        Set<ConflictMed> conflictmeds = medicine.getConflictmeds();
        for (ConflictMed conflictMed : conflictmeds) {
            String conflict_val = (conflictMed == null) ? "" : conflictMed.getName();
            drugBillNeoDTO.getConflictmeds().add(conflict_val);
        }


        return drugBillNeoDTO;
    }
}

